import QtQuick 1.1
import com.nokia.meego 1.0
import Lib 1.3

Page {
    orientationLock: PageOrientation.LockPortrait
    property string fix:""
    property string gix:""
    property bool derri: false
    Parser {

        id: parser
        onDeleted1: lineUnos.text=rez2
        onZapisiRez: lineRez.text=rez



    }


TextEdit{

    id: lineUnos
    enabled: false
    cursorVisible: true
    anchors{top: parent.top; left: parent.left; right: parent.right}
    height: 70
    width: 480
    font.pointSize: 25
    readOnly: false
    color: "steelblue"
    horizontalAlignment: Text.AlignLeft

    Rectangle { anchors.fill: parent
        border { color: "black"   }
        border.width: 2
        color: "transparent"
    }
}
Text{
    id: lineRez
    anchors{top: lineUnos.bottom; left: parent.left; right: parent.right}
    height: 70
    color: "#fb0202"
    style: Text.Sunken
    font.pointSize: 25
    horizontalAlignment: Text.AlignRight
    verticalAlignment: Text.AlignBottom
}

Grid{
    //height: 854-70-80-80 //od ukupne oduzmi velicine ova dva lineunosa i onog dole menija

    columns: 5
    spacing: 1
    id: grid
    anchors.top: lineRez.bottom
    anchors.left: parent.left
    anchors.right: parent.right
    anchors.bottom: parent.bottom
    //anchors{top: lineRez.bottom; left: parent.left; right: parent.right; bottom: commonTools.top}

    Button{
    id: btnJot
    text: "j"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=true;}
        if(btnJot.text=="j")
        lineUnos.text+="j"
        else lineUnos.text+="!";
    }
    }
    Button{
    id: btnLijevo
    text: "<<"
    width: parent.width/5
    height: parent.height/8
    onClicked: parser.lijevo();
    }
    Button{
    id: btnDesno
    text: ">>"
    width: parent.width/5
    height: parent.height/8
    onClicked: parser.desno();

    }
    Button{
    id: btnIks
    text: "x"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}

        lineUnos.text+="x"
}
    }
    Button{
    id: btnFix
    text: "f(x)"
    width: parent.width/5
    height: parent.height/8
    onClicked:{
        if(btnFix.text=="f(x)"){
            lineRez.text="Successfully defined f(x)"
            parent.parent.fix=lineUnos.text
        }
        else {
            lineRez.text="Successfully defined g(x)"
            parent.parent.gix=lineUnos.text
    }
    }
    }




    Button{
    id: btnLn
    text: "ln"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        if(btnLn.text=="ln")
        lineUnos.text+="ln("
        else lineUnos.text+="com(";
    }
    }
    Button{
    id: btnLog
    text: "log"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
    lineUnos.text+="log("
    }

    }
    Button{
    id: btnE
    text: "e"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="pow(e,"
    }

    }
    Button{
    id: btnPow
    text: "x^y"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="pow("
    }

    }
    Button{
    id: btnSqrt
    text: "sqrt"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="sqrt("
    }

    }



    Button{
    id: btnPi
    text: "π"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="PI"
    }

    }
    Button{
    id: btnZarez
    text: ","
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+=","
    }
    }
    Button{
    id: btnZagOtv
    text: "("
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="("
}
    }
    Button{
    id: btnZagZatv
    text: ")"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+=")"
    }


    }
    Button{
    id: btnDR
    text: "RAD"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(text=="RAD"){ parser.DRClicked(); btnDR.text="DEG";}
    else {parser.DRClicked();btnDR.text="RAD"}
    }

    }



    Button{
    id: btnShift
    text: "2nd"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(btnSin.text!="sin"){

            btnLn.text="ln";
            btnJot.text="j";
            btnSin.text="sin";
            btnCos.text="cos";
            btnTan.text="tan";
            btnFix.text="f(x)";
        }
        else{

            btnSin.text="sin⁻¹"
            btnCos.text="cos⁻¹";
            btnTan.text="tan⁻¹";
            btnJot.text="!";
            btnLn.text="nCr";
            btnFix.text="g(x)";

}
    }
    }
    Button{
    id: btnSin
    text: "sin"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}

        if(btnSin.text=="sin")
        lineUnos.text+="sin(";
        else lineUnos.text+="asin(";
    }

    }
    Button{
    id: btnCos
    text: "cos"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}

        if(btnCos.text=="cos")
        lineUnos.text+="cos("
        else lineUnos.text+="acos(";
    }
    }
    Button{
    id: btnTan
    text: "tan"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}

        if(btnTan.text=="tan")
        lineUnos.text+="tan("
        else lineUnos.text+="atan(";
    }

    }
    Button{
    id: btnDMS
    text: "° ' \""
    width: parent.width/5
    height: parent.height/8
    onClicked:{
        parser.stupClicked();
    }


    }



    Button{
    id: btn7
    text: "7"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="7"
    }
    }
    Button{
    id: btn8
    text: "8"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="8"
    }
    }
    Button{
    id: btn9
    text: "9"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="9"
    }

    }
    Button{
    id: btnDel
    text: "del"
    width: parent.width/5
    height: parent.height/8

    onClicked: parser.reziZnak(lineUnos.text)
    }
    Button{
    id: btnClr
    text: "CLR"
    width: parent.width/5
    height: parent.height/8

    onClicked: {
        derri=true;
        lineUnos.text=""
        lineRez.text="0";}

    }



    Button{
    id: btn4
    text: "4"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="4"
    }

    }
    Button{
    id: btn5
    text: "5"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="5"
    }

    }
    Button{
    id: btn6
    text: "6"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="6"
    }

    }
    Button{
    id: btnPuta
    text: "*"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text="ans"; derri=false;}
        lineUnos.text+="*"
    }

    }
    Button{
    id: btnDijeli
    text: "/"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text="ans"; derri=false;}
        lineUnos.text+="/"
    }

    }


    Button{
    id: btn1
    text: "1"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="1"
    }

    }
    Button{
    id: btn2
    text: "2"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="2"
    }

    }
    Button{
    id: btn3
    text: "3"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="3"
    }

    }
    Button{
    id: btnPlus
    text: "+"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text="ans"; derri=false;}
        lineUnos.text+="+"
    }


    }
    Button{
    id: btnMinus
    text: "-"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="-"
    }
    }



    Button{
    id: btn0
    text: "0"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="0"
    }

    }
    Button{
    id: btnTocka
    text: "."
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="."
    }

    }
    Button{
    id: btnExp
    text: "x 10^x"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="pow(10,"
    }

    }
    Button{
    id: btnAns
    text: "ans"
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        if(derri){lineUnos.text=""; derri=false;}
        lineUnos.text+="ans"
    }

    }
    Button{
    id: btnderri
    text: "="
    width: parent.width/5
    height: parent.height/8
    onClicked: {
        derri=true;
        parser.postaviBazu(10)
        parser.deri(lineUnos.text)
    }

    }
}
}
