import QtQuick 1.1
import com.nokia.meego 1.0
import Lib 1.3
Page {
    orientationLock: PageOrientation.LockPortrait


 Matrica{
     id: matrix
     onVratiQSTR: {lineRez.text=rez;}
     onVratiGresku: {lineRez.text=err;}
     onDeleted1: {lineUnos.text=rez2;}
     onVratiUnos: {lineUnos.text=unos;}
}


    TextInput{
        id: lineUnos
        cursorVisible: true
        //font.pointSize: 10
        anchors{top: parent.top; left: parent.left; right: parent.right}
        height: 70
        font.pointSize: 25
        readOnly: true
        color: "steelblue"
        Rectangle { anchors.fill: parent
            border { color: "black"   }
            border.width: 2
            color: "transparent"
        }

    }
    Text{
        id: lineRez

        anchors{top: lineUnos.bottom; left: parent.left; right: parent.right;}
        height: 201
        color: "#ff0011"
        style: Text.Sunken
        font.pointSize: 18

    }
    Grid{
        columns: 6
        spacing: 1
        id: gridOperator
        anchors.top: lineRez.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        height: 156
       // anchors.bottom: gridBrojke.top
        Button{
            id: btnA
            text: "A"
            width: parent.width/6
            height: parent.height/2
            onClicked: {
                if(lineUnos.text=="")matrix.stringer("",0);       //0 ide za ispis matrice A
                else {matrix.stringer(lineUnos.text,1)            //jedan ide za unos i ispis matrice A
                lineUnos.text=""
                }
            }
        //true je za matricu A u stringeru, false za B
        }
        Button{
            id: btnB
            text: "B"
            width: parent.width/6
            height: parent.height/2
            onClicked: {
                if(lineUnos.text=="") matrix.stringer("",2);                  //2 ide za ispis matrice B
                    else matrix.stringer(lineUnos.text,3)    //3 ide za unos i ispis matrice B

                lineUnos.text=""

            }
        }
        Button{
            id: btnAputaB
            text: "AxB"
            width: parent.width/6
            height: parent.height/2
            onClicked: {matrix.mnozi_matrice()
            }
        }
        Button{
            id: btnAkrozB
            text: "A/B"
            width: parent.width/6
            height: parent.height/2
            onClicked: matrix.dijeli();

        }
        Button{
            id: btnAplusB
            text: "A+B"
            width: parent.width/6
            height: parent.height/2
            onClicked: matrix.zbroji();
        }
        Button{
            id: btnAminusB
            text: "A-B"
            width: parent.width/6
            height: parent.height/2
            onClicked: matrix.oduzmi();
        }
        Button{
            id: btnZarez
            text: ","
            width: parent.width/6
            height: parent.height/2
            onClicked: lineUnos.text+=","

        }
        Button{
            id: btnTockaZarez
            text: ";"
            width: parent.width/6
            height: parent.height/2
            onClicked: lineUnos.text+=";"

        }
        Button{
            id: btnDet
            text: "Det(A)"
            font.pointSize: btnZarez.font.pointSize-3
            width: parent.width/6
            height: parent.height/2
            onClicked: matrix.determinanta();
        }
        Button{
            id: btnInv
            text: "Inv(A)"
            width: parent.width/6
            font.pointSize: btnZarez.font.pointSize-2
            height: parent.height/2
            onClicked: matrix.inverz();
        }
        Button{
            id: btnTrans
            text: "Tr(A)"
            width: parent.width/6
            height: parent.height/2
            onClicked: matrix.transponirajA();
        }
        Button{
            id: btnJot
            text: "j"
            width: parent.width/6
            height: parent.height/2
            onClicked: lineUnos.text+="j"

        }
    }
    Grid{
        columns: 5
        spacing: 1
        id: gridBrojke
        anchors.top: gridOperator.bottom
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        height: 312


        Button{
            id: btn7
            text: "7"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="7"
        }
        Button{
            id: btn8
            text: "8"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="8"

        }
        Button{
            id: btn9
            text: "9"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="9"

        }
        Button{
            id: btnDel
            text: "del"
            width: parent.width/5
            height: parent.height/4
            //onClicked: lineUnos.text+="7"
            onClicked: matrix.reziZnak(lineUnos.text)

        }
        Button{
            id: btnClr
            text: "CLR"
            width: parent.width/5
            height: parent.height/4
            onClicked: {lineUnos.text="";
                         lineRez.text=""}

        }
        Button{
            id: btn4
            text: "4"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="4"

        }
        Button{
            id: btn5
            text: "5"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="5"

        }
        Button{
            id: btn6
            text: "6"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="6"

        }
        Button{
            id: btnPuta
            text: "*"
            width: parent.width/5
            height: parent.height/4
            enabled: false
        }
        Button{
            id: btnKroz
            text: "/"
            width: parent.width/5
            height: parent.height/4
            enabled: false
        }
        Button{
            id: btn1
            text: "1"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="1"

        }
        Button{
            id: btn2
            text: "2"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="2"

        }
        Button{
            id: btn3
            text: "3"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="3"

        }
        Button{
            id: btnPlus
            text: "+"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="+"

        }
        Button{
            id: btnMinus
            text: "-"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="-"

        }
        Button{
            id: btn0
            text: "0"
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="0"

        }
        Button{
            id: btnTocka
            text: "."
            width: parent.width/5
            height: parent.height/4
            onClicked: lineUnos.text+="."

        }
        Button{
            id: btnRclA
            text: "rcl A"
            width: parent.width/5
            height: parent.height/4
            onClicked: matrix.zapisiMATRuSTR(btnRclA.text);

        }
        Button{
            id: btnRclB
            text: "rcl B"
            width: parent.width/5
            height: parent.height/4
            onClicked: matrix.zapisiMATRuSTR(btnRclB.text);

        }
        Button{
            id: btnRclAns
            text: "rcl ANS"
            font.pointSize: btnZarez.font.pointSize -2
            width: parent.width/5
            height: parent.height/4
            onClicked: matrix.zapisiMATRuSTR(btnRclAns.text);


        }
    }
}
