import QtQuick 1.1
import com.nokia.meego 1.0
PageStackWindow {
    x:0
    y:0
    width: 480
    height:854
    id: appWindow
    TabGroup {
         id: tabgroup

         onCurrentTabChanged: {

         }

         currentTab: tab1
         anchors{ left: parent.left; right: parent.right; top: parent.top; }
         CompPage {
             id: tab1
             anchors{ left: parent.left; right: parent.right;}
             y:35
             height: parent.height-35-82 //35 za status bar, 80 za tabbar donji + 2 za definiciju

         }
         MatrixPage {
             id: tab2
             anchors{ left: parent.left; right: parent.right;}
             y:35
             height: parent.height-35-82 //35 za status bar, 80 za tabbar donji + 2 za definiciju
         }
         BasePage {
             anchors{ left: parent.left; right: parent.right;}
             y:35
             height: parent.height-35-82 //35 za status bar, 80 za tabbar donji + 2 za definiciju
             id: tab3
         }
         GraphPage{
             id:tab4
             anchors{ left: parent.left; right: parent.right;}
             y:35
             height: parent.height-40-82 //35 za status bar, 80 za tabbar donji + 2 za definiciju
         }
         HelpPage{
             y:35
             height: parent.height-40-82 //35 za status bar, 80 za tabbar donji + 2 za definiciju
             id:tab5
             anchors{ left: parent.left; right: parent.right;}

         }
     }

    ToolBarLayout {

         visible: true

         //ToolIcon { iconId: "toolbar-back"; onClicked: pageStack.pop(); }
         ButtonRow {
             height: 80;
             id: commonTools
             anchors{bottom: parent.bottom}
             style: TabButtonStyle { }
             TabButton {
                 text: "Comp"
                 tab: tab1


                 height: parent.height
             }
             TabButton {
                 text: "Matrix"
                 tab: tab2
                 height: parent.height
             }
             TabButton {
                 text: "Base"
                 tab: tab3
                 height: parent.height
             }
             TabButton{
                 text: "Graph"
                 tab: tab4
                 height: parent.height
                 onClicked: {
                     tab4.fix=tab1.fix
                     tab4.gix=tab1.gix
                 }

             }
             TabButton{
                 text: "Help"
                 tab: tab5
                 height: parent.height
             }
         }
    }
}
